OS_PHP_VERSION = {
    12: '8.2',
    13: '8.4',
}

defaults = {
    'php': {
        '__version': OS_PHP_VERSION[node.os_version[0]],
    },
}


@metadata_reactor.provides(
    'apt/packages',
)
def php_packages_with_features(metadata):
    version = metadata.get('php/__version')

    packages = {
        f'php{version}': {},
        f'php{version}-cli': {},
        f'php{version}-fpm': {},
    }

    for package in metadata.get('php/packages', set()):
        packages[f'php{version}-{package}'] = {
            'triggers': {
                f'svc_systemd:php{version}-fpm:restart',
            }
        }

    return {
        'apt': {
            'packages': packages,
        },
    }
